package com.elephant.framework.galaxy.aroad.module.zhjg.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.elephant.framework.galaxy.aroad.response.R;
import com.elephant.framework.galaxy.aroad.module.common.annotation.SysLog;
import com.elephant.framework.galaxy.aroad.module.zhjg.entity.ZhjgLzglCxysxkslsptj;
import com.elephant.framework.galaxy.aroad.module.zhjg.service.ZhjgLzglCxysxkslsptjService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import com.elephant.framework.galaxy.aroad.module.common.controller.BaseController;

import java.util.List;


/**
 * 受理审批统计表
 *
 * @author wangjian
 * @date 2019-03-26 14:38:10
 */
@RestController
@AllArgsConstructor
@RequestMapping("/zhjg/zhjglzglcxysxkslsptj")
public class ZhjgLzglCxysxkslsptjController extends BaseController  {

  private final  ZhjgLzglCxysxkslsptjService zhjgLzglCxysxkslsptjService;

  /**
   * 分页查询
   * @param page 分页对象
   * @param zhjgLzglCxysxkslsptj 受理审批统计表
   * @return
   */
  @GetMapping("/page")
  public R getZhjgLzglCxysxkslsptjPage(Page page, ZhjgLzglCxysxkslsptj zhjgLzglCxysxkslsptj) {
    return  new R<>(zhjgLzglCxysxkslsptjService.page(page,Wrappers.query(zhjgLzglCxysxkslsptj)));
  }

  /**
   * 查询某时间段内数据
   * @param startDate
   * @param endDate
   * @return
   */
  @GetMapping("/getDataByDate")
  public List<ZhjgLzglCxysxkslsptj> findZhjgLzglCxysxkslsptjByDate(String startDate, String endDate) {
    if(startDate==null || endDate==null){
      return null;
    }
    startDate = startDate.trim();
    endDate = endDate.trim();
    return  zhjgLzglCxysxkslsptjService.findZhjgLzglCxysxkslsptjByDate(startDate,endDate);
  }


  /**
   * 通过id查询受理审批统计表
   * @param id id
   * @return R
   */
  @GetMapping("/{id}")
  public R getById(@PathVariable("id") Integer id){
    return new R<>(zhjgLzglCxysxkslsptjService.getById(id));
  }

  /**
   * 新增受理审批统计表
   * @param zhjgLzglCxysxkslsptj 受理审批统计表
   * @return R
   */
  @SysLog("新增受理审批统计表")
  @PostMapping
  public R save(@RequestBody ZhjgLzglCxysxkslsptj zhjgLzglCxysxkslsptj){
    return new R<>(zhjgLzglCxysxkslsptjService.save(zhjgLzglCxysxkslsptj));
  }

  /**
   * 修改受理审批统计表
   * @param zhjgLzglCxysxkslsptj 受理审批统计表
   * @return R
   */
  @SysLog("修改受理审批统计表")
  @PutMapping
  public R updateById(@RequestBody ZhjgLzglCxysxkslsptj zhjgLzglCxysxkslsptj){
    return new R<>(zhjgLzglCxysxkslsptjService.updateById(zhjgLzglCxysxkslsptj));
  }

  /**
   * 通过id删除受理审批统计表
   * @param id id
   * @return R
   */
  @SysLog("删除受理审批统计表")
  @DeleteMapping("/{id}")
  public R removeById(@PathVariable Integer id){
    return new R<>(zhjgLzglCxysxkslsptjService.removeById(id));
  }

}
